<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Input Files for Simulations</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="input">Input Files for Simulations </a></h1><hr/>
<p><b>Sections:</b></p>
<ul>
<li><a class="el" href="input.html#input_allopt_txt">allopt.txt: simulation parameters</a></li>
<li><a class="el" href="input.html#project_krn">project.krn: material properties</a></li>
<li><a class="el" href="input.html#project_kst">project.kst: magnetoelastic properties</a></li>
<li><a class="el" href="input.html#project_inp">project.inp, project.out: finite element mesh</a></li>
<li><a class="el" href="input.html#project_0001_inp">project.0001.inp: initial magnetization distribution</a></li>
</ul>
<hr/>
<h2><a class="anchor" id="input_allopt_txt">
allopt.txt: simulation parameters</a></h2>
<p>All simulation parameters can be set in the configuration file <a class="el" href="allopttxt.html">allopt.txt</a> . The default configuration file <a class="el" href="allopttxt.html">allopt.txt</a> in the $MAGPAR_HOME/src/doc/ subdirectory is thoroughly documented. Any option defined in this file can be overridden by an environment variable or command line option (cf. <a href="http://www.mcs.anl.gov/petsc/petsc-as/snapshots/petsc-current/docs/manual.pdf">PETSc manual</a> chapter 14 - Other PETSc Features). This useful feature is used in example <a class="el" href="examples.html#mumag3">mumag3: mumag standard problem #3</a> .</p>
<p>Additional PETSc internal logging/info/diagnostic options, which may slow down the simulations (!), are given in <a class="el" href="allopttxt.html#allopt_log_txt">allopt_log.txt</a> .</p>
<p>Deprecated and removed options can be found in Sec. <a class="el" href="allopttxt.html#allopt_ret_txt">allopt_ret.txt</a> . <hr/>
<h2><a class="anchor" id="project_krn">
project.krn: material properties</a></h2>
<p>For each grain (or part of the model with distinct property id) this file contains a line defining its material properties.</p>
<p>The grain with property id 1 is assigned the properties in line 1, the grain with property id 2 is assigned the properties in line 2, etc.</p>
<p><em>psi</em> defines the third <a href="http://mathworld.wolfram.com/EulerAngles.html">Euler angle</a> for cubic anisotropy</p>
<p>example.krn: </p>
<div class="fragment"><pre class="fragment">  0.0   0.0   5.00E+06 0.0     1.32 1.40E-11 0.1   uni   # property 1
  0.0   0.0   1.50E+07 0.0     1.32 1.40E-11 0.1   uni   # property 2
#
# theta phi   K1       K2      Js   A        alpha psi   # parameter
# (rad) (rad) (J/m^3)  (J/m^3) (T)  (J/m)    (1)   (rad) # units

# theta and phi: direction of the uniaxial magnetocrystalline anisotropy axis in spherical coordinates (rad);
#     theta measured from the z-axis, phi measured from the x-axis in the x-y-plane
# K1: first magnetocrystalline anisotropy constant (J/m3)
#     set &lt;0 for in-plane anisotropy
# K2: second magnetocrystalline anisotropy constant (J/m3)
# Js: saturation polarization (Tesla)
#     set to -1 to have volumes with the given property id removed
# A:  exchange constant (J/m)
# alpha: Gilbert damping constant (dimensionless); set to 999 to "lock" magnetization
# psi: third Euler angle for cubic anisotropy (see http://mathworld.wolfram.com/EulerAngles.html)
#      or use "uni" for uniaxial anisotropy

# additional material parameters
# just examples, no warranty for accuracy!
# alpha set arbitrarily to 0.1
#
# theta phi   K1       K2      Js   A        alpha psi   # parameter
# (rad) (rad) (J/m^3)  (J/m^3) (T)  (J/m)    (1)   (rad) # units
#
  0.0   0.0   4.60E+04 1.5e4   2.15 2.50E-11 0.1   0.0   # Fe:
                                                         # Kneller, Ferromagnetismus. Berlin, Springer, 1962 (cubic anisotropy!)
                                                         # E. F. Kneller, R. Hawig, IEEE Trans. Magn. 27 (1991) 3588-3560
                                                         # L. W. McKeehan, Phys. Rev. 51, 136-139 (1937)
  0.0   0.0   4.00E+04 0.0     0.40 1.32E-11 0.1   uni   # gamma-Fe2O3 (Maghemite): Johansson, J.M.M.M. 173 (1997) 5-14 (value of exchange constant unknown!)
  0.0   0.0   4.50E+05 0.0     1.76 1.30E-11 0.1   uni   # Co: Yang, J. Appl. Phys. 87 (2000) 6884
  0.0   0.0   4.60E+06 0.0     1.60 9.86E-12 0.1   uni   # Nd2Fe14B: Klemmer, Script. Met. 33 no. 10/11 (1995) 1793-1805
                                                         # Weller, IEEE Trans. Magn. 36 (2000) 10-15
  0.0   0.0   0.0      0.0     1.00 1.05E-11 0.1   uni   # Permalloy: N. Smith, D. Markham, and D. LaTourette, J. Appl. Phys. 65, 4362 (1989)
  0.0   0.0   5.00E+06 0.0     1.32 1.40E-11 0.1   uni   # Sm2Co17: Durst, Phys. Stat. Sol. (a) 108 (1988) 403
  0.0   0.0   9.00E+06 0.0     0.80 1.40E-11 0.1   uni   # SmCo5: Durst, Phys. Stat. Sol. (a) 108 (1988) 403
  0.0   0.0   1.50E+07 0.0     1.32 1.40E-11 0.1   uni   # SmCo5: Tang, IEEE Trans. Magn. 37 (2001) 2515
  0.0   0.0   1.80E+06 0.0     1.38 1.03E-11 0.1   uni   # FePd (L1_0): Klemmer, Script. Met. 33 no. 10/11 (1995) 1793-1805
                                                   uni   # Weller, IEEE Trans. Magn. 36 (2000) 10-15
  0.0   0.0   6.60E+06 0.0     1.43 1.02E-11 0.1   uni   # FePt (L1_0): Klemmer, Script. Met. 33 no. 10/11 (1995) 1793-1805
                                                   uni   # Weller, IEEE Trans. Magn. 36 (2000) 10-15
  1.5707963 0 3.9788736e4 0.0  1.00 1.00E-11 0.1   uni   # mumag standard problem #3 http://www.ctcms.nist.gov/~rdm/mumag.html


# following data (except alpha - set arbitrarily to 0.1) from:
# Yi Liu (Editor), D.J. Sellmyer (Editor), Daisuke Shindo (Editor),
# "Handbook of Advanced Magnetic Materials: Vol 1. Nanostructural Effects."
#
# theta phi   K1       K2      Js   A        alpha psi   # parameter      T_C (K)   structure
# (rad) (rad) (J/m^3)  (J/m^3) (T)  (J/m)    (1)   (rad) # units
  0.0   0.0   0.048e6  0.0     2.15 0.83E-11 0.1   0.0   # Fe             1043 K    cubic bcc structure (uniaxial estimate)
  0.0   0.0   0.53e6   0.0     1.76 1.03E-11 0.1   0.0   # Co             1388 K    hexagonal hcp
  0.0   0.0  -0.0048e6 0.0     0.61 0.34E-11 0.1   0.0   # Ni              631 K    cubic fcc (uniaxial estimate)
  0.0   0.0   0.33e6   0.0     0.47 0.61E-11 0.1   0.0   # BaFe12O19       723 K    hexagonal
  0.0   0.0  17.0e6    0.0     1.07 2.20E-11 0.1   0.0   # SmCo5          1003 K    hexagonal
  0.0   0.0   5.2e6    0.0     1.06 ?        0.1   0.0   # YCo5            987 K    hexagonal
  0.0   0.0   4.90e6   0.0     1.61 0.77E-11 0.1   0.0   # Nd2Fe14B        585 K    tetragonal

# A not listed for the following materials (using 1e-11 as default)
#
# theta phi   K1       K2      Js   A        alpha psi   # parameter      T_C (K)   structure
# (rad) (rad) (J/m^3)  (J/m^3) (T)  (J/m)    (1)   (rad) # units
  0.0   0.0   4.90e6   0.0     1.0  1e-11    0.1   0.0   # CoPt           840       tetragonal
  0.0   0.0   6.60e6   0.0     1.43 1e-11    0.1   0.0   # FePt           750       tetragonal
  0.0   0.0   1.80e6   0.0     1.37 1e-11    0.1   0.0   # FePd           760       tetragonal
  0.0   0.0   1.70e6   0.0     0.62 1e-11    0.1   0.0   # MnAl           650       tetragonal
  0.0   0.0   1.20e6   0.0     0.78 1e-11    0.1   0.0   # MnBi           630       hexagonal
  0.0   0.0  -0.011e6  0.0     0.60 1e-11    0.1   0.0   # Fe3O4          858       cubic
  0.0   0.0   0.025e6  0.0     0.56 1e-11    0.1   0.0   # CrO2           390       tetragonal
  0.0   0.0  -0.0046e6 0.0     0.47 1e-11    0.1   0.0   # gamma-Fe2O3    863       cubic



</pre></div><hr/>
<h2><a class="anchor" id="project_kst">
project.kst: magnetoelastic properties</a></h2>
<p>For each grain (or part of the model with distinct property id) this file contains a line defining its magnetoelastic properties.</p>
<p>example.kst </p>
<div class="fragment"><pre class="fragment">  7        17.5e-6   103.7e-6  -1e9    0.0     0.0      # Fe65Co35: Bai, J. Appl. Phys. 95 (2004) 6864-6866.
#
# texture  lambda100 lambda111 sigmaX  sigmaY  sigmaZ   # parameter
# (-)      (1)       (1)       (Pa)    (Pa)    (Pa)     # units
#
# texture
# =======
# id   theta            phi     psi               comment
# -------------------------------------------------------------------------
#  0:                                             disable stress effects
#  1: 0                0       0
#  2: 0                random  random             100 texture, the film normal z is [001] direction
#  3: pi/2             0       3pi/4
#  4: pi/2             random  3pi/4              110 texture, the film normal z is [110] direction 
#  5: pi/2             pi      asin(sqrt(2/3)))
#  6: asin(sqrt(2/3))) random  3pi/4              111 texture, the film normal z is [111] direction 
#  7: random           random  random             random texture
#
# lambda100: magnetoelastic constant in 100 direction
# lambda111: magnetoelastic constant in 111 direction
# sigmaX:    stress in x direction (unit Pa)
# sigmaY:    stress in y direction (unit Pa)
# sigmaZ:    stress in z direction (unit Pa)
</pre></div><hr/>
<h2><a class="anchor" id="project_inp">
project.inp, project.out: finite element mesh</a></h2>
<p>The finite element mesh can be imported in two formats:</p>
<ul>
<li><a href="http://help.avs.com/Express/doc/help/reference/dvmac/UCD_Form.htm">UCD file</a>, the default file format of <a href="http://www.avs.com/">AVS</a>. Various 3D CAD and meshing tools can be used for <a class="el" href="preprocessing.html">Preprocessing</a> and mesh generation.<br/>
 see also: <a href="http://people.sc.fsu.edu/~burkardt/html/ucd_format.html">http://people.sc.fsu.edu/~burkardt/html/ucd_format.html</a></li>
<li><a href="http://www.g-boege.de/english/makrosae/Manual/PATRAN.htm">"neutral file"</a>, which can be generated with <a href="http://www.mscsoftware.com/products/products_detail.cfm?PI=6">MSC.Patran</a>, for example.</li>
</ul>
<p>A short tutorial can be found in section <a class="el" href="preprocessing.html">Preprocessing</a> .</p>
<hr/>
<h2><a class="anchor" id="project_0001_inp">
project.0001.inp: initial magnetization distribution</a></h2>
<p>(optional)</p>
<p>magpar stores the magnetization distribution, magnetostatic potential, and local fields in UCD files. These UCD files, which contain the finite element mesh, can be used to read the finite element mesh as well as the magnetization distribution. This allows you to modify some parameters (e.g. the external field) and restart simulations from any magnetization distribution. The Cartesian components of the magnetization (<em>M<sub>x</sub></em>,<em>M<sub>y</sub></em>,<em>M<sub>z</sub></em>) are read from the second, third and fourth column of the vertex data section of the inp file. The first column contains the vertex id.</p>
<p>A short tutorial on postprocessing and visualization of magpar's output can be found in section <a class="el" href="postprocessing.html">Postprocessing</a>. </p>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

